Bug 191353 - Update of www/node to 0.10.29
Update of www/node to 0.10.29
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: --- Affects Many People
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-06-25 02:14 UTC by amim.knabben
Modified: 2014-07-11 15:53 UTC (History)
3 users (show)

See Also:


Attachments
Raise the _XOPEN_SOURCE for FreeBSD (669 bytes, patch)
2014-06-25 02:14 UTC, amim.knabben
no flags Details | Diff
node 0.10.29 patch (2.72 KB, patch)
2014-07-08 06:02 UTC, linpct
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description amim.knabben 2014-06-25 02:14:16 UTC
Created attachment 144111 [details]
Raise the _XOPEN_SOURCE for FreeBSD

Update of www/node to latest 0.10.29

On:
FreeBSD jee 10.0-RELEASE FreeBSD 10.0-RELEASE #0 r260789: Fri Jan 17 01:46:25 UTC 2014     root@snap.freebsd.org:/usr/obj/usr/src/sys/GENERIC  i386
Comment 1 Mark Linimon freebsd_committer 2014-06-25 03:29:49 UTC
Notify maintainer.
Comment 2 linpct 2014-07-08 06:02:47 UTC
Created attachment 144508 [details]
node 0.10.29 patch

Please use the following patch to update to 0.10.29, thanks.
Comment 3 Steve Wills freebsd_committer 2014-07-09 02:04:58 UTC
Hi,

Thanks, but this fails to build for me using the specified patch. It gives:

gmake[2]: g++: Command not found


see

http://meatwad.mouf.net/poudriere/data/11amd64-default/2014-07-09_01h54m23s/logs/errors/node-0.10.29.log

for more details.

Thanks,
Steve
Comment 4 linpct 2014-07-09 02:42:05 UTC
Thanks for Steve.

I think I forgot to remove the clang++ -> g++ link on my server,
due to this issue, https://github.com/TooTallNate/node-gyp/issues/423 .

I'll find other ways to patch or if Steve has recommended method, please just patch it, thanks.
Comment 5 commit-hook freebsd_committer 2014-07-11 15:44:06 UTC
A commit references this bug:

Author: vanilla
Date: Fri Jul 11 15:43:41 UTC 2014
New revision: 361555
URL: http://svnweb.freebsd.org/changeset/ports/361555

Log:
  1: Upgrade to 0.10.29 [1]
  2: USES=compiler to handle clang/gcc.

  PR:		ports/191353
  Submitted by:	amim.knabben[1], me[2]
  Approved by:	maintainer

Changes:
  head/www/node/Makefile
  head/www/node/distinfo
  head/www/node/files/
  head/www/node/files/patch-node_constants.cc
  head/www/node/pkg-plist